#### D.6.13.4 bernstein

Procedure from library `gmssing.lib` (see gmssing_lib).

Usage:
  bernstein(t); poly t

Assume:
  characteristic 0; local degree ordering;
  isolated critical point 0 of t

Return:

      list bs;  Bernstein-Sato polynomial b(s) of t
        ideal bs[1];
          number bs[1][i];  i-th root of b(s)
        intvec bs[2];
          int bs[2][i];  multiplicity of i-th root of b(s)

Example:

    LIB "gmssing.lib";
    ring R=0,(x,y),ds;
    poly t=x5+x2y2+y5;
    bernstein(t);
    ==> [1]:
    ==>    _[1]=-13/10
    ==>    _[2]=-11/10
    ==>    _[3]=-1
    ==>    _[4]=-9/10
    ==>    _[5]=-7/10
    ==>    _[6]=-1/2
    ==> [2]:
    ==>    1,1,2,1,1,2

User manual for Singular version 4.4.1, 2025, generated by texi2html.